import { OnDestroy, ElementRef, Renderer2, NgZone } from '@angular/core';
import { IgxColumnComponent } from '../columns/column.component';
import { IgxColumnMovingService } from './moving.service';
import { IgxDropDirective } from '../../directives/drag-drop/drag-drop.directive';
export declare class IgxColumnMovingDropDirective extends IgxDropDirective implements OnDestroy {
    private elementRef;
    private renderer;
    private zone;
    private cms;
    data: any;
    readonly column: IgxColumnComponent;
    readonly isDropTarget: boolean;
    readonly horizontalScroll: any;
    private _dropPos;
    private _dropIndicator;
    private _lastDropIndicator;
    private _column;
    private _hVirtDir;
    private _dragLeave;
    private _dropIndicatorClass;
    constructor(elementRef: ElementRef, renderer: Renderer2, zone: NgZone, cms: IgxColumnMovingService);
    ngOnDestroy(): void;
    onDragOver(event: any): void;
    onDragEnter(event: any): void;
    onDragLeave(event: any): void;
    onDragDrop(event: any): void;
}
